> ## Documentation Index
> Fetch the complete documentation index at: https://platform.perso.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an embed context

> Returns a single embed context and its settings. Put the context's `id` (a UUID) in the path — not its `context_id` (the public embed key).



## OpenAPI

````yaml /specs/openapi-interactive.json get /api/console/b2c/contexts/{id}/
openapi: 3.0.3
info:
  title: Perso Interactive API
  version: 0.0.0
servers:
  - url: https://platform.perso.ai
security: []
tags:
  - name: Embed
paths:
  /api/console/b2c/contexts/{id}/:
    get:
      tags:
        - Embed
      summary: Get an embed context
      description: >-
        Returns a single embed context and its settings. Put the context's `id`
        (a UUID) in the path — not its `context_id` (the public embed key).
      operationId: console_b2c_contexts_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this context.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Context'
          description: ''
      security:
        - PersoPlatform-APIKey: []
        - cookieAuth: []
components:
  schemas:
    Context:
      type: object
      description: Console serializer for Context CRUD.
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        context_id:
          type: string
          readOnly: true
        name:
          type: string
          maxLength: 200
        greeting:
          type: string
        instructions:
          type: string
        tts_type:
          type: string
        model_style:
          type: string
        background_image:
          type: string
          nullable: true
        max_session_sec:
          type: integer
          maximum: 2147483647
          minimum: 0
          nullable: true
        is_active:
          type: boolean
        embed_config: {}
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - context_id
        - created_at
        - id
        - model_style
        - name
        - tts_type
        - updated_at
  securitySchemes:
    PersoPlatform-APIKey:
      type: apiKey
      in: header
      name: PersoPlatform-APIKey
    cookieAuth:
      type: apiKey
      in: cookie
      name: sessionid

````